import { adminCredentials } from '~/components/credentials';
import { headersWithAuth } from './headers-with-auth';

export const createAdminDb = async () => {
  const credentials = adminCredentials();
  if (!credentials) {
    return null;
  }
  const { database } = credentials;

  const headers = headersWithAuth();
  if (!headers) {
    return null;
  }

  const response = await fetch(`${database}/dyomedea_users`, {
    method: 'PUT',
    mode: 'cors',
    headers,
  });

  console.log({ caller: 'dbExists', response });

  if (![200, 201].includes(response.status)) {
    console.error({ caller: 'dbExists', response });
  }

  return true;
};
