import { adminCredentials } from '~/components/credentials';
import { headersWithAuth } from './headers-with-auth';

export const findUserByToken = async (
  token: string,
  credentials = adminCredentials()
) => {
  const db = 'dyomedea_users';
  if (!credentials) {
    return null;
  }
  const { database } = credentials;

  const headers = headersWithAuth(credentials);
  if (!headers) {
    return null;
  }
  headers.set('Content-Type', 'application/json');

  const params = {
    selector: {
      token,
    },
  };

  const response = await fetch(`${database}/${db}/_find`, {
    method: 'POST',
    mode: 'cors',
    headers,
    body: JSON.stringify(params),
  });

  return (await response.json()).docs[0];
};
